Bug 2083339 (CVE-2022-28733) - CVE-2022-28733 grub2: Integer underflow in grub_net_recv_ip4_packets
Summary: CVE-2022-28733 grub2: Integer underflow in grub_net_recv_ip4_packets
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2022-28733
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2083345 2083350 2083352 2095149 2083341 2083342 2083343 2083344 2083346 2083347 2083348 2083349 2083351 2094681 2094682
Blocks: 1991681
TreeView+ depends on / blocked
 
Reported: 2022-05-09 18:26 UTC by Marco Benatto
Modified: 2022-07-21 12:31 UTC (History)
11 users (show)

Fixed In Version: grub 2.12
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in grub2 when handling IPv4 packets. This flaw allows an attacker to craft a malicious packet, triggering an integer underflow in grub code. Consequently, the memory allocation for handling the packet data may be smaller than the size needed. This issue causes an out-of-bands write during packet handling, compromising data integrity, confidentiality issues, a denial of service, and remote code execution.
Clone Of:
Environment:
Last Closed: 2022-06-16 21:37:12 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2022:5105 0 None None None 2022-06-16 21:08:39 UTC
Red Hat Product Errata RHBA-2022:5121 0 None None None 2022-06-20 01:27:31 UTC
Red Hat Product Errata RHBA-2022:5127 0 None None None 2022-06-20 12:12:12 UTC
Red Hat Product Errata RHBA-2022:5128 0 None None None 2022-06-20 14:27:08 UTC
Red Hat Product Errata RHBA-2022:5170 0 None None None 2022-06-22 11:38:33 UTC
Red Hat Product Errata RHBA-2022:5437 0 None None None 2022-06-30 07:15:18 UTC
Red Hat Product Errata RHBA-2022:5578 0 None None None 2022-07-13 15:10:20 UTC
Red Hat Product Errata RHBA-2022:5643 0 None None None 2022-07-19 15:32:29 UTC
Red Hat Product Errata RHSA-2022:5095 0 None None None 2022-06-16 15:33:59 UTC
Red Hat Product Errata RHSA-2022:5096 0 None None None 2022-06-16 14:55:25 UTC
Red Hat Product Errata RHSA-2022:5098 0 None None None 2022-06-16 13:51:21 UTC
Red Hat Product Errata RHSA-2022:5099 0 None None None 2022-06-16 15:23:48 UTC
Red Hat Product Errata RHSA-2022:5100 0 None None None 2022-06-16 15:46:05 UTC
Red Hat Product Errata RHSA-2022:5678 0 None None None 2022-07-21 12:31:57 UTC

Description Marco Benatto 2022-05-09 18:26:56 UTC
A malicious crafted IP packet can lead to a integer underflow in grub_net_recv_ip4_packets() function on rsm->total_len value. Under certain circumstances the total_len value may ending up wrapping around to a small integer number which will be used in memory allocation. If the attack succeeds in such way, subsequent operations can write past the end of the buffer.

Comment 10 errata-xmlrpc 2022-06-16 13:51:18 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Update Services for SAP Solutions

Via RHSA-2022:5098 https://access.redhat.com/errata/RHSA-2022:5098

Comment 11 errata-xmlrpc 2022-06-16 14:55:22 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.4 Extended Update Support

Via RHSA-2022:5096 https://access.redhat.com/errata/RHSA-2022:5096

Comment 12 errata-xmlrpc 2022-06-16 15:23:46 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2022:5099 https://access.redhat.com/errata/RHSA-2022:5099

Comment 13 errata-xmlrpc 2022-06-16 15:33:56 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:5095 https://access.redhat.com/errata/RHSA-2022:5095

Comment 14 errata-xmlrpc 2022-06-16 15:46:02 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Extended Update Support

Via RHSA-2022:5100 https://access.redhat.com/errata/RHSA-2022:5100

Comment 15 Product Security DevOps Team 2022-06-16 21:37:10 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-28733

Comment 18 errata-xmlrpc 2022-07-21 12:31:55 UTC
This issue has been addressed in the following products:

  Red Hat Virtualization 4 for Red Hat Enterprise Linux 8

Via RHSA-2022:5678 https://access.redhat.com/errata/RHSA-2022:5678


Note You need to log in before you can comment on or make changes to this bug.